Sales
Add payment to a sale
POST
/
v1
/
sales
/
{id}
/
payments
Add payment to a sale
curl --request POST \
--url https://dev.flextell.ai/api/v1/sales/{id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"amount": 1.01,
"currency_id": 123,
"exchange_rate": 1,
"transaction_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"account_id": 123
}
'import requests
url = "https://dev.flextell.ai/api/v1/sales/{id}/payments"
payload = {
"amount": 1.01,
"currency_id": 123,
"exchange_rate": 1,
"transaction_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"account_id": 123
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 1.01,
currency_id: 123,
exchange_rate: 1,
transaction_date: '2023-11-07T05:31:56Z',
description: '<string>',
account_id: 123
})
};
fetch('https://dev.flextell.ai/api/v1/sales/{id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"sale_id": "<string>",
"remaining_balance": "<string>",
"transaction": {
"id": "<string>",
"type": "<string>",
"credit": "<string>",
"debit": "<string>",
"currency_id": "<string>",
"exchange_rate": "<string>",
"description": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error": "<string>",
"data": {
"message": "<string>"
},
"errors": null
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The sale identifier
Body
application/json
Monetary amount.
Required range:
x >= 0.01Filter by currency ID.
Currency exchange rate.
Required range:
x >= 0Transaction date (YYYY-MM-DD).
Filter by type.
Available options:
collection, payment The description.
Maximum string length:
65535Account ID.
⌘I
Add payment to a sale
